<?php

namespace Acme\RentacarBundle\Entity;

use Doctrine\ORM\EntityRepository;
use Doctrine\Common\Collections\Collection;

/**
 * ReservationRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ReservationRepository extends EntityRepository
{
    /**
     * Find reservations bepart between given dates.
     *
     * @param \DateTime $departFrom
     * @param \DateTime $departTo
     * @return Collection
     */
    public function findReservationsDepartBetween(\DateTime $departFrom, \DateTime $departTo)
    {
        $qb = $this->createQueryBuilder('r')
            ->where('r.departureAt BETWEEN :departFrom AND :departTo')
            ->setParameters(array(
                'departFrom' => $departFrom,
                'departTo'   => $departTo,
            ))
            ->orderBy('r.departureAt')
        ;

        $reservations = $qb->getQuery()->getResult();

        return $reservations;
    }
}
